const vm = require("vm");

module.exports = bot => {
  bot._trigger.set("sandbox", {
    call: /^\!js (.*)/i,
    level: 100,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      const args = e.message.substring(3);
      const context = {
        e: e
      };
      try {
        let output = vm.runInNewContext(args, context);
        if (typeof output !== undefined && output) {
          output = JSON.stringify(output);
          if (output !== "Converting circular structure to JSON") {
            e.reply(output.length > 400 ? `holy fuck, Ausgabe wäre viel zu lang! (${output.length} Zeichen :DDDDDD)` : output);
          }
        }
      }
      catch (err) {
        e.reply(err.message);
      }
    }
  });
};
