import sql from "../sql.js";

const data = {
  yiff: [],
  kill_templates: [],
  kill_parts: {},
  abschieben: [],
  kaffee: []
};

Object.keys(data).forEach(cur => {
  sql.exec(`select \`data\` from \`useless\` where \`trigger\` = '${cur}' limit 1`, (err, row) => {
    data[cur] = JSON.parse(row[0].data);
  });
});

module.exports = bot => {
  bot._trigger.set("kiss", {
    call: /^(.|\/)kiss/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`[b](づ｡◕‿‿◕｡)づ" 。。・゜゜・。。・゜❤ ${args.join(" ").trim()} ❤[/b]`);
    }
  });

  bot._trigger.set("hug", {
    call: /^(.|\/)hug/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.reply(`[b]♥♡❤♡♥ ${args.join(" ").trim()} ♥♡❤♡♥[/b]`);
    }
  });

  bot._trigger.set("kill", {
    call: /^(.|\/)kill/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      
      e.replyAction(data.kill_templates[~~(Math.random() * data.kill_templates.length)]
        .replace("{user}", `[b]${args[0]}[/b]`)
        .replace("{limbs}", data.kill_parts.limbs[~~(Math.random() * data.kill_parts.limbs.length)])
        .replace("{gun}", data.kill_parts.gun[~~(Math.random() * data.kill_parts.gun.length)])
        .replace("{weapon_stab}", data.kill_parts.weapon_stab[~~(Math.random() * data.kill_parts.weapon_stab.length)])
        .replace("{weapon_slice}", data.kill_parts.weapon_slice[~~(Math.random() * data.kill_parts.weapon_slice.length)])
        .replace("{weapon_crush}", data.kill_parts.weapon_crush[~~(Math.random() * data.kill_parts.weapon_crush.length)])
        .replace("{weapon_explosive}", data.kill_parts.weapon_explosive[~~(Math.random() * data.kill_parts.weapon_explosive.length)])
        .replace("{tall_thing}", data.kill_parts.tall_thing[~~(Math.random() * data.kill_parts.tall_thing.length)])
        .replace("{spiked_thing}", data.kill_parts.spiked_thing[~~(Math.random() * data.kill_parts.spiked_thing.length)])
        .replace("{bomb}", data.kill_parts.bomb[~~(Math.random() * data.kill_parts.bomb.length)])
      );
    }
  });

  bot._trigger.set("yiff", {
    call: /^(.|\/)yiff/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];

      e.replyAction(data.yiff[~~(Math.random() * data.yiff.length)]
        .replace("{user}", `[b]${args[0]}[/b]`)
      );
    }
  });

  bot._trigger.set("abschieben", {
    call: /^(.|\/)abschieben/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`schiebt [b]${args[0]}[/b] ${data.abschieben[~~(Math.random() * data.abschieben.length)]} ab.`);
    }
  });

  bot._trigger.set("butterkaese", {
    call: /^(.|\/)butterkäse/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`drischt mit einem großen Stück Butterkäse auf [b]${args[0]}[/b] ein.`);
    }
  });

  bot._trigger.set("notschlachten", {
    call: /^(.|\/)notschlachten/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(`notschlachtet [b]${args[0]}[/b] und entsorgt die Leiche im Biomüll`);
    }
  });

  bot._trigger.set("lachs", {
    call: /^(.|\/)lachs/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      e.reply("öhöhöhöhöhöhö");
    }
  });

  bot._trigger.set("kaffee", {
    call: /^(.|\/)kaffee/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      let args = e.message.trim().split(" ");
      args.shift();
      args[0] = (args[0] == String.empty || typeof args[0] === "undefined" || args[0] == "") ? e.user.nick : args[0];
      e.replyAction(data.kaffee[~~(Math.random() * data.kaffee.length)]
        .replace("{user}", `[b]${args[0]}[/b]`)
      );
    }
  });
};